File: security.lua

package info (click to toggle)
enigma 1.20-dfsg.1-2.2
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 64,696 kB
  • sloc: xml: 153,614; cpp: 63,581; ansic: 31,088; sh: 4,825; makefile: 1,858; yacc: 288; perl: 84; sed: 16
file content (65 lines) | stat: -rw-r--r-- 3,972 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
------------------------------------------------------------------------
-- Copyright (C) 2006 Ronald Lamprecht
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along
-- with this program; if not, write to the Free Software Foundation, Inc.,
-- 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
--
------------------------------------------------------------------------

-- basic security
dofile = function () error ("security error: dofile not supported", 2) end

-- module security
module = function () error ("security error: module not supported", 2) end
require = function () error ("security error: require not supported", 2) end
package.cpath = function () error ("security error: package.cpath not supported", 2) end
package.loadlib = function () error ("security error: package.loadlib not supported", 2) end
package.path = function () error ("security error: package.path not supported", 2) end
package.preload = function () error ("security error: package.preload not supported", 2) end
package.seeall = function () error ("security error: package.seeall not supported", 2) end

-- io security
io.close = function () error ("security error: io.close not supported", 2) end
io.flush = function () error ("security error: io.flush not supported", 2) end
io.input = function () error ("security error: io.input not supported", 2) end
io.lines = function () error ("security error: io.lines not supported", 2) end
io.open = function () error ("security error: io.open not supported", 2) end
io.output = function () error ("security error: io.output not supported", 2) end
io.popen = function () error ("security error: io.popen not supported", 2) end
io.read = function () error ("security error: io.read not supported", 2) end
io.tmpfile = function () error ("security error: io.tmpfile not supported", 2) end
io.type = function () error ("security error: io.type not supported", 2) end
io.write = function () error ("security error: io.write not supported", 2) end
-- io 4.0 compatibility security
readfrom = function () error ("security error: readfrom not supported", 2) end
writeto = function () error ("security error: writeto not supported", 2) end
appendto = function () error ("security error: appendto not supported", 2) end
flush = function () error ("security error: flush not supported", 2) end
seek = function () error ("security error: seek not supported", 2) end
read = function () error ("security error: read not supported", 2) end
write = function () error ("security error: write not supported", 2) end

-- os security
os.clock = function () error ("security error: os.clock not supported", 2) end
os.date = function () error ("security error: os.date not supported", 2) end
os.difftime = function () error ("security error: os.difftime not supported", 2) end
os.time = function () error ("security error: os.time not supported", 2) end
os.execute = function () error ("security error: os.execute not supported", 2) end
os.exit = function () error ("security error: os.exit not supported", 2) end
os.getenv = function () error ("security error: os.getenv not supported", 2) end
os.remove = function () error ("security error: os.remove not supported", 2) end
os.rename = function () error ("security error: os.rename not supported", 2) end
os.setlocale = function () error ("security error: os.setlocale not supported", 2) end
os.tmpname = function () error ("security error: os.tmpname not supported", 2) end